Altibase.jdbc.driver.sharding.core

## Interface InternalShardingStatement

All Known Subinterfaces:
  InternalShardingCallableStatement, InternalShardingPreparedStatement

All Known Implementing Classes:
  DataNodeShardingCallableStatement, DataNodeShardingPreparedStatement, DataNodeShardingStatement, ServerSideShardingCallableStatement, ServerSideShardingPreparedStatement, ServerSideShardingStatement

    public interface InternalShardingStatement

ServerSide 또는 ClientSide에서 공통적으로 실행되는 java.sql.Statement 인터페이스 모음

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cancel()`
`void` `clearForGeneratedKeys()`
`void` `clearWarnings()`
`void` `close()`
`java.sql.Connection` `getConnection()`
`int` `getFetchSize()`
`java.sql.ResultSet` `getGeneratedKeys()`
`int` `getMaxFieldSize()`
`int` `getMaxRows()`
`boolean` `getMoreResults()`
`boolean` `getMoreResults(int aCurrent)`
`int` `getQueryTimeout()`
`java.sql.ResultSet` `getResultSet()`
`int` `getUpdateCount()`
`java.sql.SQLWarning` `getWarnings()`
`boolean` `hasNoData()`
`boolean` `isPrepared()`
`void` `makeQstrForGeneratedKeys(java.lang.String aSql, int[] aColumnIndexes, java.lang.String[] aColumnNames)`
`void` `setCursorName(java.lang.String aName)`
`void` `setEscapeProcessing(boolean aEnable)`
`void` `setFetchSize(int aRows)`
`void` `setMaxFieldSize(int aMax)`
`void` `setMaxRows(int aMax)`
`void` `setQueryTimeout(int aSeconds)`

### Method Detail

#### close

    void close()
        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getMaxFieldSize

    int getMaxFieldSize()
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setMaxFieldSize

    void setMaxFieldSize(int aMax)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getMaxRows

    int getMaxRows()
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setMaxRows

    void setMaxRows(int aMax)
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setEscapeProcessing

    void setEscapeProcessing(boolean aEnable)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getQueryTimeout

    int getQueryTimeout()
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setQueryTimeout

    void setQueryTimeout(int aSeconds)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### cancel

    void cancel()
         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getWarnings

    java.sql.SQLWarning getWarnings()
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### clearWarnings

    void clearWarnings()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setCursorName

    void setCursorName(java.lang.String aName)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getResultSet

    java.sql.ResultSet getResultSet()
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getUpdateCount

    int getUpdateCount()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getMoreResults

    boolean getMoreResults()
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setFetchSize

    void setFetchSize(int aRows)
               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getFetchSize

    int getFetchSize()
              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getConnection

    java.sql.Connection getConnection()
                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getMoreResults

    boolean getMoreResults(int aCurrent)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getGeneratedKeys

    java.sql.ResultSet getGeneratedKeys()
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isPrepared

    boolean isPrepared()

#### hasNoData

    boolean hasNoData()

#### makeQstrForGeneratedKeys

    void makeQstrForGeneratedKeys(java.lang.String aSql,
                                  int[] aColumnIndexes,
                                  java.lang.String[] aColumnNames)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### clearForGeneratedKeys

    void clearForGeneratedKeys()
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`